<?php 
class Proveedor extends AppObjeto {
	
	//Propiedades
	protected $codigo;
	protected $nombre;
	
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'PROVEE1';
	protected static $_campoPK = 'NUM_PROVEE';
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		self::addPropiedadBD('a', 'NUM_PROVEE', 'codigo', self::META_VARCHAR);
		self::addPropiedadBD('a', 'NOMBRE', 'nombre', self::META_VARCHAR);
		
	}
	
	public static function listado_select(){
		$select = self::selectObjeto();
		$select->where('a.CANAL_PR IN (2)');
		$select->order('nombre');
		$resultado = self::selectExecute($select);
		
		$datos = $resultado->getDatos();
		$salida = array();
		foreach ($datos as $elemento){
			$salida[$elemento['codigo']] =$elemento['nombre'];
		}
		return $salida;
		
	}
}
	
